summaryrefslogtreecommitdiff
path: root/openwrt/package/lighttpd/files/lighttpd.init
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-05-16 18:41:16 +0000
committerNicolas Thill <nico@openwrt.org>2005-05-16 18:41:16 +0000
commitc4bccf4a7a23abdd8828b4613de46031f3bfb98b (patch)
treec3ff0eb6fbb7f6f53ccdbde6089da676e6205e1e /openwrt/package/lighttpd/files/lighttpd.init
parenta3d8efc122131a2c661ec1f667d1736445a83c3d (diff)
downloadmtk-20170518-c4bccf4a7a23abdd8828b4613de46031f3bfb98b.zip
mtk-20170518-c4bccf4a7a23abdd8828b4613de46031f3bfb98b.tar.gz
mtk-20170518-c4bccf4a7a23abdd8828b4613de46031f3bfb98b.tar.bz2
Add lighttpd package
SVN-Revision: 917
Diffstat (limited to 'openwrt/package/lighttpd/files/lighttpd.init')
-rw-r--r--openwrt/package/lighttpd/files/lighttpd.init24
1 files changed, 24 insertions, 0 deletions
diff --git a/openwrt/package/lighttpd/files/lighttpd.init b/openwrt/package/lighttpd/files/lighttpd.init
new file mode 100644
index 0000000..ca7a3f9
--- /dev/null
+++ b/openwrt/package/lighttpd/files/lighttpd.init
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+BIN=lighttpd
+DEFAULT=/etc/default/$BIN
+LOG_D=/var/log/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $LOG_D
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?